<div *ngIf="!!funcData && !!method; else noDataProvided">
  <ng-container [ngSwitch]="method">
    <app-fibonacci-calculator
      *ngSwitchCase="methods.FIBONACCI"
      [func]="funcOfOneArgument"></app-fibonacci-calculator>
    <app-fastest-gradient-descent-calculator
      *ngSwitchCase="methods.FASTEST_GRADIENT_DESCENT"
      [funcData]="funcData"></app-fastest-gradient-descent-calculator>
  </ng-container>
</div>
<ng-template #noDataProvided>
  <p>You should choose both a function and a method</p>
</ng-template>
